<?php

/**
 * @file
 * Include file for defining views handlers and data.
 */

/**
 * Implements hook_views_data().
 *
 * {@inheritdoc}
 */
function views_regex_functions_views_data(): array {
  $data = [];
  $data['views_regex_functions']['table']['group'] = t('Views');
  $data['views_regex_functions']['table']['join'] = [
    '#global' => [],
  ];

  $data['views_regex_functions']['views_regex_functions_field'] = [
    'title' => t('Views Regex Functions'),
    'field' => [
      'title' => t('Views Regex Functions'),
      'help' => t('Output data based off of certain regex criteria.'),
      'id' => 'views_regex_functions_field',
    ],
    'filter' => [
      'title' => t('Views Regex Functions'),
      'help' => t('Output data based off of certain regex criteria.'),
      'id' => 'views_regex_functions_filter',
    ],
  ];

  return $data;
}
